## org.apache.poi.ss.formula.eval
Class StringEval

    java.lang.Object
      org.apache.poi.ss.formula.eval.StringEval

All Implemented Interfaces:
  StringValueEval, ValueEval

    public final class StringEval

extends java.lang.Object
implements StringValueEval

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Field Summary
`static StringEval` `EMPTY_INSTANCE`

Constructor Summary
`StringEval(Ptg ptg)`
`StringEval(java.lang.String value)`

Method Summary
`java.lang.String` `getStringValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_INSTANCE

    public static final StringEval EMPTY_INSTANCE

Constructor Detail

### StringEval

    public StringEval(Ptg ptg)

### StringEval

    public StringEval(java.lang.String value)

Method Detail

### getStringValue

    public java.lang.String getStringValue()

  Specified by:
    `getStringValue` in interface `StringValueEval`
  Returns:
    never `null`, possibly empty string.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.